OfficeGest
Stocks/Articles/{article}

Get article

Returns a single article by its identifier (id or base64-encoded id). Includes all available fields based on active modules (PRESTASYNC, LOGISTICA, OFICINAS, TPV, etc.) and additional_fields parameter.

GET
/stocks/articles/{article}
AuthorizationBearer <token>

In: header

Path Parameters

articlestring

Response Body

curl -X GET "https://og-tenant1.test:8003/api/v2/stocks/articles/string"
{
  "data": {
    "id": "string",
    "description": "string",
    "article_type": "string",
    "purchasing_price": 0,
    "selling_price": 0,
    "vat_id": "string",
    "measurement_unit_id": "string",
    "stock_quantity": 0,
    "family_id": "string",
    "sub_family_id": "string",
    "sub_sub_family_id": "string",
    "barcode": "string",
    "brand_id": "string",
    "brand": {
      "id": "string",
      "name": "string"
    },
    "active": true,
    "active_for_web": true,
    "re": "string",
    "set": "string",
    "part_number": "string",
    "purchasing_price_last": 0,
    "purchasing_price_avg": 0,
    "margin": 0,
    "selling_price_option": "string",
    "margin_pcu": 0,
    "margin_pcu_type": "string",
    "discount_classif": "string",
    "commission_rate": 0,
    "barcode_prefix": "string",
    "sale_multiples": 0,
    "use_lots": true,
    "use_serial_numbers": true,
    "manufactured": true,
    "withholding_tax": true,
    "customs_duty_rate": 0,
    "location": "string",
    "discount": 0,
    "energy_class": "string",
    "abbreviation": "string",
    "saft_product_type": "string",
    "saft_product_category": "string",
    "ordered_qty_client": 0,
    "ordered_qty_supplier": 0,
    "stock_min": 0,
    "stock_max": 0,
    "qty_vehicle": 0,
    "qty_pallet": 0,
    "qty_box": 0,
    "codx": "string",
    "cody": "string",
    "codz": "string",
    "image_link": "string",
    "spaces_dimensions": "string",
    "id_spaces_dimensions": "string",
    "dimensions": "string",
    "is_component": true,
    "component_brand": "string",
    "component_model": "string",
    "component_version": "string",
    "manually_updated_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "created_at": "2019-08-24T14:15:22Z"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}

{
  "data": {
    "code": "ARTICLE_NOT_FOUND",
    "message": "O recurso solicitado não foi encontrado."
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad015"
  }
}
{
  "data": {
    "code": "VALIDATION_FAILED",
    "message": "The given data was invalid.",
    "errors": {
      "email": [
        "The email field is required."
      ]
    }
  },
  "meta": {
    "trace_id": "9f86d081884c7d659a2feaa0c55ad01568f3a1c2b4d5e"
  }
}